---
title: llarp::service::RecvDataEvent

---

# llarp::service::RecvDataEvent





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| path::Path_ptr | **[fromPath](Classes/structllarp_1_1service_1_1RecvDataEvent.md#variable-frompath)**  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[pathid](Classes/structllarp_1_1service_1_1RecvDataEvent.md#variable-pathid)**  |
| std::shared_ptr< [ProtocolMessage](Classes/structllarp_1_1service_1_1ProtocolMessage.md) > | **[msg](Classes/structllarp_1_1service_1_1RecvDataEvent.md#variable-msg)**  |

## Public Attributes Documentation

### variable fromPath

```cpp
path::Path_ptr fromPath;
```


### variable pathid

```cpp
PathID_t pathid;
```


### variable msg

```cpp
std::shared_ptr< ProtocolMessage > msg;
```


-------------------------------

Updated on 2025-03-02 at 05:10:06 +0000